Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

%define svnrev svn_r18

Name:		ccux-geninitramfs
Version:	0.0.3
Release:	1
Epoch:		1
Summary:	Initramfs scripts and helpers for CCux
License:	GNU/GPL
Group: 		System/Base
URL: 		http://www.ccux-linux.de
Source0:	%{name}-%{svnrev}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq: 	/sbin/install-info
Requires: 	v86d busybox
BuildRequires: 	subversion

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Initramfs scripts and helpers for CCux

%prep
%setup -q -n %{name}-%{svnrev}

%build
./autogen.sh
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc COPYING AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/ccux-geninitramfs.conf
%{_sbindir}/ccux-geninitramfs
%{_datadir}/%{name}/initramfs/init
%{_datadir}/%{name}/initramfs/mount
%{_datadir}/%{name}/initramfs/run-init
%{_datadir}/%{name}/initramfs/umount
%{_datadir}/%{name}/mkinitramfs/gen_init_cpio
	       


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.3-1
- version update
- svn rev. 18
- fixes group / name resolution in initial udev run
- fixes devicemapper/dmraid feature
- fixes handling of firmware files
- splash integration is now configureable (defaults=no as we don't have splash yet)
* Sun Jul 27 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.0.2-1
- Version update svn rev. 17
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.0.1-1
- changed versioning scheme for clean upgrade path
- svn rev. 16
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> svn_r15-1
- Version update
* Sun Nov 25 2007 Christian Metzen <metzench@ccux-linux.de> svn_r13-1
- Version update
* Fri Oct 26 2007 Christian Metzen <metzench@ccux-linux.de> svn_r11-1
- Initial release
